[CON-800] Error nach Update auf 4.8.17

Gesperrt
Knigge1504
Beiträge: 1
Registriert: Do 18. Okt 2012, 21:48
Kontaktdaten:

[CON-800] Error nach Update auf 4.8.17

Beitrag von Knigge1504 » Do 18. Okt 2012, 21:55

Hallo,

ein php-Wechsel auf php 5.3 machte bei mir ein Update der Contenido Version von 4.8.12 auf 4.8.17 notwendig.
Die Installation verlief reibungslos.
Allerdings taucht nun im Frontend und im Backend (nach dem einloggen) folgende Fehlermeldung auf.

Fatal error: Error: Can't include in /home/www/spzg2/contenido/includes/api/functions.api.general.php on line 192

Kann mir hier jemand einen Tipp geben.

Vielen Dank im Voraus.

xmurrix
Beiträge: 2744
Registriert: Do 21. Okt 2004, 11:08
Wohnort: Augsburg
Kontaktdaten:

Re: Error nach Update auf 4.8.17

Beitrag von xmurrix » Do 18. Okt 2012, 23:45

Hallo Knigge1504,

willkommen im CONTENIDO Forum und vielen Dank für das Feedback

Vermutlich liegt es an einem Fehler in der Datei contenido/includes/api/functions.api.general.php.

Öffne die Datei und ändere die Zeile 116 von

Code: Alles auswählen

            $sInclude = $backendPath  . $cfg['path'][$where] . $what;
in

Code: Alles auswählen

            $include = $cfg['path']['contenido']  . $cfg['path'][$where] . $what;
Danach sollte es funktionieren.

Gruß
xmurrix

chris8408
Beiträge: 56
Registriert: So 2. Apr 2006, 19:07
Wohnort: Korschenbroich
Kontaktdaten:

Re: [CON-800] Error nach Update auf 4.8.17

Beitrag von chris8408 » Fr 19. Okt 2012, 09:36

Guten Morgen zusammen,

ich habe das ganze auch ein wenig getestet und möchte folgendes hinzufügen.

Nach einem Update funktionierte meine Test-Seite nicht mehr. Eine Neu-Installation war jedoch in Ordnung.

Der Fehler mit der Zeile 116 ist korrekt.

Nach Änderung wurde mir auch eine richtige Fehlermeldung angezeigt.

Meine Contenido-Installation hat Probleme beim Einbinden deiner MR-Klasse xmurrix. Ich weiß noch nicht woran das liegt.
Kommentiere ich den neuen Autoloader um die Zeile 116+- aus, funktioniert es korrekt.
Testweise habe ich bei der Neuinstallation ebenfalls mal die aktuelle MR-Version 0.5.5 (http://forum.contenido.org/viewtopic.php?t=21578) installiert. Und schon kam ebenfalls der Fehler dort auch.

Hier scheint es ein Kompatbilitätsproblem zwischen dem MR-Plugin und dem neuen Autoloader zu geben.

Kann das jemand bestätigen?

Christian
--------------------------------------------
Christian John aus Düsseldorf
Selbständiger Web-Entwickler
“There are 10 types of people in the world… those that understand binary and those that don’t.”

xmurrix
Beiträge: 2744
Registriert: Do 21. Okt 2004, 11:08
Wohnort: Augsburg
Kontaktdaten:

Re: [CON-800] Error nach Update auf 4.8.17

Beitrag von xmurrix » Fr 19. Okt 2012, 10:25

chris8408 hat geschrieben:...Meine Contenido-Installation hat Probleme beim Einbinden deiner MR-Klasse xmurrix. Ich weiß noch nicht woran das liegt...
Danke für das Feedback, ich kann mir das ansehen, komme allerdings erst am Abend dazu.

Kannst du mir auch den genauen Wortlaut der fehlermeldung zukommen lassen, gerne auch PM, wenn du es nicht hier öffentlich machen willst.

Gruß
xmurrix

chris8408
Beiträge: 56
Registriert: So 2. Apr 2006, 19:07
Wohnort: Korschenbroich
Kontaktdaten:

Re: [CON-800] Error nach Update auf 4.8.17

Beitrag von chris8408 » Fr 19. Okt 2012, 10:40

Hi,

klar kein Problem:

Code: Alles auswählen

Fatal error: Error: Can't include classes/mp/class.mpdebug.php in /...../testcon/contenido/includes/api/functions.api.general.php on line 192
Das Plugin ist nur installiert und nicht aktiviert!

Möchtest du nen FTP-Zugriff haben?

Wenn ich was finde, geb ich Bescheid.
Christian
--------------------------------------------
Christian John aus Düsseldorf
Selbständiger Web-Entwickler
“There are 10 types of people in the world… those that understand binary and those that don’t.”

dominik.ziegler
Beiträge: 434
Registriert: Do 19. Jun 2008, 09:09

Re: [CON-800] Error nach Update auf 4.8.17

Beitrag von dominik.ziegler » Fr 19. Okt 2012, 10:48

Ändere die Zeile bitte mal in

Code: Alles auswählen

$include = $cfg['path']['contenido']  . $cfg['path'][$where] . $what;
xmurrix hatte vorher noch einen Code gepostet, der nicht ganz korrekt war. Ich habe seinen Beitrag ersetzt.
Viele Grüße
Dominik

chris8408
Beiträge: 56
Registriert: So 2. Apr 2006, 19:07
Wohnort: Korschenbroich
Kontaktdaten:

Re: [CON-800] Error nach Update auf 4.8.17

Beitrag von chris8408 » Fr 19. Okt 2012, 11:40

Hallo Dominik,

sieht besser aus:

"Willkommen!
Ihre Installation hat geklappt! "

Funktioniert auch beim Update mit aktiviertem MR.

Um jetzt die großen Verwirrungen wie beim letzten Update 4.8.16 zu vermeiden.

Kann man die entsprechende Zeile nicht kurzer Hand im Archiv austauschen?

Gruß, Christian
--------------------------------------------
Christian John aus Düsseldorf
Selbständiger Web-Entwickler
“There are 10 types of people in the world… those that understand binary and those that don’t.”

dominik.ziegler
Beiträge: 434
Registriert: Do 19. Jun 2008, 09:09

Re: [CON-800] Error nach Update auf 4.8.17

Beitrag von dominik.ziegler » Fr 19. Okt 2012, 12:21

Wir werden voraussichtlich am Montag zwar eine 4.8.18 mit weiteren Bugfixes heraus bringen, aber der Download auf contenido.org ist mittlerweile korrigiert. Der Fehler sollte dort nicht mehr enthalten sein.
Viele Grüße
Dominik

Knigge1504
Beiträge: 1
Registriert: Do 18. Okt 2012, 21:48
Kontaktdaten:

Re: [CON-800] Error nach Update auf 4.8.17

Beitrag von Knigge1504 » So 21. Okt 2012, 22:16

Vielen Dank für die schnellen Antworten.
Klappt wunderbar.
Danke.

Gesperrt